Makefile.in.in 16 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454
  1. # Makefile for PO directory in any package using GNU gettext.
  2. # Copyright (C) 1995-1997, 2000-2007, 2009-2010 by Ulrich Drepper <[email protected]>
  3. #
  4. # This file can be copied and used freely without restrictions. It can
  5. # be used in projects which are not available under the GNU General Public
  6. # License but which still want to provide support for the GNU gettext
  7. # functionality.
  8. # Please note that the actual code of GNU gettext is covered by the GNU
  9. # General Public License and is *not* in the public domain.
  10. #
  11. # Origin: gettext-0.18.3
  12. GETTEXT_MACRO_VERSION = 0.18
  13. PACKAGE = @PACKAGE@
  14. VERSION = @VERSION@
  15. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  16. SED = @SED@
  17. SHELL = /bin/sh
  18. @SET_MAKE@
  19. srcdir = @srcdir@
  20. top_srcdir = @top_srcdir@
  21. VPATH = @srcdir@
  22. prefix = @prefix@
  23. exec_prefix = @exec_prefix@
  24. datarootdir = @datarootdir@
  25. datadir = @datadir@
  26. localedir = @localedir@
  27. gettextsrcdir = $(datadir)/gettext/po
  28. INSTALL = @INSTALL@
  29. INSTALL_DATA = @INSTALL_DATA@
  30. # We use $(mkdir_p).
  31. # In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
  32. # "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
  33. # @install_sh@ does not start with $(SHELL), so we add it.
  34. # In automake >= 1.10, @mkdir_p@ is derived from ${MKDIR_P}, which is defined
  35. # either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
  36. # versions, $(mkinstalldirs) and $(install_sh) are unused.
  37. mkinstalldirs = $(SHELL) @install_sh@ -d
  38. install_sh = $(SHELL) @install_sh@
  39. MKDIR_P = @MKDIR_P@
  40. mkdir_p = @mkdir_p@
  41. GMSGFMT_ = @GMSGFMT@
  42. GMSGFMT_no = @GMSGFMT@
  43. GMSGFMT_yes = @GMSGFMT_015@
  44. GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
  45. MSGFMT_ = @MSGFMT@
  46. MSGFMT_no = @MSGFMT@
  47. MSGFMT_yes = @MSGFMT_015@
  48. MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
  49. XGETTEXT_ = @XGETTEXT@
  50. XGETTEXT_no = @XGETTEXT@
  51. XGETTEXT_yes = @XGETTEXT_015@
  52. XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
  53. MSGMERGE = msgmerge
  54. MSGMERGE_UPDATE = @MSGMERGE@ --update
  55. MSGINIT = msginit
  56. MSGCONV = msgconv
  57. MSGFILTER = msgfilter
  58. POFILES = @POFILES@
  59. GMOFILES = @GMOFILES@
  60. UPDATEPOFILES = @UPDATEPOFILES@
  61. DUMMYPOFILES = @DUMMYPOFILES@
  62. DISTFILES.common = Makefile.in.in remove-potcdate.sin \
  63. $(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
  64. DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
  65. $(POFILES) $(GMOFILES) \
  66. $(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)
  67. POTFILES = \
  68. CATALOGS = @CATALOGS@
  69. # Makevars gets inserted here. (Don't remove this line!)
  70. .SUFFIXES:
  71. .SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update
  72. .po.mo:
  73. @echo "$(MSGFMT) -c -o $@ $<"; \
  74. $(MSGFMT) -c -o t-$@ $< && mv t-$@ $@
  75. .po.gmo:
  76. @lang=`echo $* | sed -e 's,.*/,,'`; \
  77. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  78. echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o $${lang}.gmo $${lang}.po"; \
  79. cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics --verbose -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo
  80. .sin.sed:
  81. sed -e '/^#/d' $< > t-$@
  82. mv t-$@ $@
  83. all: all-@USE_NLS@
  84. all-yes: stamp-po
  85. all-no:
  86. # Ensure that the gettext macros and this Makefile.in.in are in sync.
  87. CHECK_MACRO_VERSION = \
  88. test "$(GETTEXT_MACRO_VERSION)" = "@GETTEXT_MACRO_VERSION@" \
  89. || { echo "*** error: gettext infrastructure mismatch: using a Makefile.in.in from gettext version $(GETTEXT_MACRO_VERSION) but the autoconf macros are from gettext version @GETTEXT_MACRO_VERSION@" 1>&2; \
  90. exit 1; \
  91. }
  92. # $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
  93. # internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
  94. # we don't want to bother translators with empty POT files). We assume that
  95. # LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
  96. # In this case, stamp-po is a nop (i.e. a phony target).
  97. # stamp-po is a timestamp denoting the last time at which the CATALOGS have
  98. # been loosely updated. Its purpose is that when a developer or translator
  99. # checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
  100. # "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
  101. # invocations of "make" will do nothing. This timestamp would not be necessary
  102. # if updating the $(CATALOGS) would always touch them; however, the rule for
  103. # $(POFILES) has been designed to not touch files that don't need to be
  104. # changed.
  105. stamp-po: $(srcdir)/$(DOMAIN).pot
  106. @$(CHECK_MACRO_VERSION)
  107. test ! -f $(srcdir)/$(DOMAIN).pot || \
  108. test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
  109. @test ! -f $(srcdir)/$(DOMAIN).pot || { \
  110. echo "touch stamp-po" && \
  111. echo timestamp > stamp-poT && \
  112. mv stamp-poT stamp-po; \
  113. }
  114. # Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
  115. # otherwise packages like GCC can not be built if only parts of the source
  116. # have been downloaded.
  117. # This target rebuilds $(DOMAIN).pot; it is an expensive operation.
  118. # Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
  119. # The determination of whether the package xyz is a GNU one is based on the
  120. # heuristic whether some file in the top level directory mentions "GNU xyz".
  121. # If GNU 'find' is available, we avoid grepping through monster files.
  122. $(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
  123. if { if (LC_ALL=C find --version) 2>/dev/null | grep GNU >/dev/null; then \
  124. LC_ALL=C find -L $(top_srcdir) -maxdepth 1 -type f -size -10000000c -exec grep 'GNU @PACKAGE@' /dev/null '{}' ';' 2>/dev/null; \
  125. else \
  126. LC_ALL=C grep 'GNU @PACKAGE@' $(top_srcdir)/* 2>/dev/null; \
  127. fi; \
  128. } | grep -v 'libtool:' >/dev/null; then \
  129. package_gnu='GNU '; \
  130. else \
  131. package_gnu=''; \
  132. fi; \
  133. if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
  134. msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
  135. else \
  136. msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
  137. fi; \
  138. case `$(XGETTEXT) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  139. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-5] | 0.1[0-5].* | 0.16 | 0.16.[0-1]*) \
  140. $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  141. --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
  142. --files-from=$(srcdir)/POTFILES.in \
  143. --copyright-holder='$(COPYRIGHT_HOLDER)' \
  144. --msgid-bugs-address="$$msgid_bugs_address" \
  145. ;; \
  146. *) \
  147. $(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
  148. --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) @XGETTEXT_EXTRA_OPTIONS@ \
  149. --files-from=$(srcdir)/POTFILES.in \
  150. --copyright-holder='$(COPYRIGHT_HOLDER)' \
  151. --package-name="$${package_gnu}@PACKAGE@" \
  152. --package-version='@VERSION@' \
  153. --msgid-bugs-address="$$msgid_bugs_address" \
  154. ;; \
  155. esac
  156. test ! -f $(DOMAIN).po || { \
  157. if test -f $(srcdir)/$(DOMAIN).pot; then \
  158. sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
  159. sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
  160. if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
  161. rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
  162. else \
  163. rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
  164. mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  165. fi; \
  166. else \
  167. mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
  168. fi; \
  169. }
  170. # This rule has no dependencies: we don't need to update $(DOMAIN).pot at
  171. # every "make" invocation, only create it when it is missing.
  172. # Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
  173. $(srcdir)/$(DOMAIN).pot:
  174. $(MAKE) $(DOMAIN).pot-update
  175. # This target rebuilds a PO file if $(DOMAIN).pot has changed.
  176. # Note that a PO file is not touched if it doesn't need to be changed.
  177. $(POFILES): $(srcdir)/$(DOMAIN).pot
  178. @lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
  179. if test -f "$(srcdir)/$${lang}.po"; then \
  180. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  181. echo "$${cdcmd}$(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot"; \
  182. cd $(srcdir) \
  183. && { case `$(MSGMERGE_UPDATE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  184. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  185. $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) $${lang}.po $(DOMAIN).pot;; \
  186. *) \
  187. $(MSGMERGE_UPDATE) $(MSGMERGE_OPTIONS) --lang=$${lang} $${lang}.po $(DOMAIN).pot;; \
  188. esac; \
  189. }; \
  190. else \
  191. $(MAKE) $${lang}.po-create; \
  192. fi
  193. install: install-exec install-data
  194. install-exec:
  195. install-data: install-data-@USE_NLS@
  196. if test "$(PACKAGE)" = "gettext-tools"; then \
  197. $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  198. for file in $(DISTFILES.common) Makevars.template; do \
  199. $(INSTALL_DATA) $(srcdir)/$$file \
  200. $(DESTDIR)$(gettextsrcdir)/$$file; \
  201. done; \
  202. for file in Makevars; do \
  203. rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  204. done; \
  205. else \
  206. : ; \
  207. fi
  208. install-data-no: all
  209. install-data-yes: all
  210. @catalogs='$(CATALOGS)'; \
  211. for cat in $$catalogs; do \
  212. cat=`basename $$cat`; \
  213. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  214. dir=$(localedir)/$$lang/LC_MESSAGES; \
  215. $(mkdir_p) $(DESTDIR)$$dir; \
  216. if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
  217. $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
  218. echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
  219. for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  220. if test -n "$$lc"; then \
  221. if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  222. link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  223. mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  224. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  225. (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  226. for file in *; do \
  227. if test -f $$file; then \
  228. ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  229. fi; \
  230. done); \
  231. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  232. else \
  233. if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  234. :; \
  235. else \
  236. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  237. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  238. fi; \
  239. fi; \
  240. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  241. ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  242. ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
  243. cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  244. echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
  245. fi; \
  246. done; \
  247. done
  248. install-strip: install
  249. installdirs: installdirs-exec installdirs-data
  250. installdirs-exec:
  251. installdirs-data: installdirs-data-@USE_NLS@
  252. if test "$(PACKAGE)" = "gettext-tools"; then \
  253. $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
  254. else \
  255. : ; \
  256. fi
  257. installdirs-data-no:
  258. installdirs-data-yes:
  259. @catalogs='$(CATALOGS)'; \
  260. for cat in $$catalogs; do \
  261. cat=`basename $$cat`; \
  262. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  263. dir=$(localedir)/$$lang/LC_MESSAGES; \
  264. $(mkdir_p) $(DESTDIR)$$dir; \
  265. for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
  266. if test -n "$$lc"; then \
  267. if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
  268. link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
  269. mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  270. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  271. (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
  272. for file in *; do \
  273. if test -f $$file; then \
  274. ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
  275. fi; \
  276. done); \
  277. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
  278. else \
  279. if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
  280. :; \
  281. else \
  282. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
  283. mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
  284. fi; \
  285. fi; \
  286. fi; \
  287. done; \
  288. done
  289. # Define this as empty until I found a useful application.
  290. installcheck:
  291. uninstall: uninstall-exec uninstall-data
  292. uninstall-exec:
  293. uninstall-data: uninstall-data-@USE_NLS@
  294. if test "$(PACKAGE)" = "gettext-tools"; then \
  295. for file in $(DISTFILES.common) Makevars.template; do \
  296. rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
  297. done; \
  298. else \
  299. : ; \
  300. fi
  301. uninstall-data-no:
  302. uninstall-data-yes:
  303. catalogs='$(CATALOGS)'; \
  304. for cat in $$catalogs; do \
  305. cat=`basename $$cat`; \
  306. lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
  307. for lc in LC_MESSAGES $(EXTRA_LOCALE_CATEGORIES); do \
  308. rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
  309. done; \
  310. done
  311. check: all
  312. info dvi ps pdf html tags TAGS ctags CTAGS ID:
  313. mostlyclean:
  314. rm -f remove-potcdate.sed
  315. rm -f stamp-poT
  316. rm -f core core.* $(DOMAIN).po $(DOMAIN).1po $(DOMAIN).2po *.new.po
  317. rm -fr *.o
  318. clean: mostlyclean
  319. distclean: clean
  320. rm -f Makefile Makefile.in POTFILES *.mo
  321. maintainer-clean: distclean
  322. @echo "This command is intended for maintainers to use;"
  323. @echo "it deletes files that may require special tools to rebuild."
  324. rm -f stamp-po $(GMOFILES)
  325. distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
  326. dist distdir:
  327. $(MAKE) update-po
  328. @$(MAKE) dist2
  329. # This is a separate target because 'update-po' must be executed before.
  330. dist2: stamp-po $(DISTFILES)
  331. dists="$(DISTFILES)"; \
  332. if test "$(PACKAGE)" = "gettext-tools"; then \
  333. dists="$$dists Makevars.template"; \
  334. fi; \
  335. if test -f $(srcdir)/$(DOMAIN).pot; then \
  336. dists="$$dists $(DOMAIN).pot stamp-po"; \
  337. fi; \
  338. if test -f $(srcdir)/ChangeLog; then \
  339. dists="$$dists ChangeLog"; \
  340. fi; \
  341. for i in 0 1 2 3 4 5 6 7 8 9; do \
  342. if test -f $(srcdir)/ChangeLog.$$i; then \
  343. dists="$$dists ChangeLog.$$i"; \
  344. fi; \
  345. done; \
  346. if test -f $(srcdir)/LINGUAS; then dists="$$dists LINGUAS"; fi; \
  347. for file in $$dists; do \
  348. if test -f $$file; then \
  349. cp -p $$file $(distdir) || exit 1; \
  350. else \
  351. cp -p $(srcdir)/$$file $(distdir) || exit 1; \
  352. fi; \
  353. done
  354. update-po: Makefile
  355. $(MAKE) $(DOMAIN).pot-update
  356. test -z "$(UPDATEPOFILES)" || $(MAKE) $(UPDATEPOFILES)
  357. $(MAKE) update-gmo
  358. # General rule for creating PO files.
  359. .nop.po-create:
  360. @lang=`echo $@ | sed -e 's/\.po-create$$//'`; \
  361. echo "File $$lang.po does not exist. If you are a translator, you can create it through 'msginit'." 1>&2; \
  362. exit 1
  363. # General rule for updating PO files.
  364. .nop.po-update:
  365. @lang=`echo $@ | sed -e 's/\.po-update$$//'`; \
  366. if test "$(PACKAGE)" = "gettext-tools"; then PATH=`pwd`/../src:$$PATH; fi; \
  367. tmpdir=`pwd`; \
  368. echo "$$lang:"; \
  369. test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
  370. echo "$${cdcmd}$(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang $$lang.po $(DOMAIN).pot -o $$lang.new.po"; \
  371. cd $(srcdir); \
  372. if { case `$(MSGMERGE) --version | sed 1q | sed -e 's,^[^0-9]*,,'` in \
  373. '' | 0.[0-9] | 0.[0-9].* | 0.1[0-7] | 0.1[0-7].*) \
  374. $(MSGMERGE) $(MSGMERGE_OPTIONS) -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  375. *) \
  376. $(MSGMERGE) $(MSGMERGE_OPTIONS) --lang=$$lang -o $$tmpdir/$$lang.new.po $$lang.po $(DOMAIN).pot;; \
  377. esac; \
  378. }; then \
  379. if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
  380. rm -f $$tmpdir/$$lang.new.po; \
  381. else \
  382. if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
  383. :; \
  384. else \
  385. echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
  386. exit 1; \
  387. fi; \
  388. fi; \
  389. else \
  390. echo "msgmerge for $$lang.po failed!" 1>&2; \
  391. rm -f $$tmpdir/$$lang.new.po; \
  392. fi
  393. $(DUMMYPOFILES):
  394. update-gmo: Makefile $(GMOFILES)
  395. @:
  396. # Recreate Makefile by invoking config.status. Explicitly invoke the shell,
  397. # because execution permission bits may not work on the current file system.
  398. # Use @SHELL@, which is the shell determined by autoconf for the use by its
  399. # scripts, not $(SHELL) which is hardwired to /bin/sh and may be deficient.
  400. Makefile: Makefile.in.in Makevars $(top_builddir)/config.status @POMAKEFILEDEPS@
  401. cd $(top_builddir) \
  402. && @SHELL@ ./config.status $(subdir)/[email protected] po-directories
  403. force:
  404. # Tell versions [3.59,3.63) of GNU make not to export all variables.
  405. # Otherwise a system limit (for SysV at least) may be exceeded.
  406. .NOEXPORT: